Package com.sas.lsaf.content.workspace

## Class SharedWorkspaceLinkNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.content.workspace.SharedWorkspaceException
        - - com.sas.lsaf.content.workspace.SharedWorkspaceLinkNotFoundException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SharedWorkspaceLinkNotFoundException
      extends SharedWorkspaceException

  Thrown when the specified shared workspace link is not found.
  Since:
    2.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SharedWorkspaceLinkNotFoundException​(java.lang.String sharedFolderId, java.lang.String userId, java.lang.String path, java.lang.String message)` | Constructs a `SharedWorkspaceLinkNotFoundException`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` |
    `java.lang.String` | `getSharedFolderId()` |
    `java.lang.String` | `getUserId()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SharedWorkspaceLinkNotFoundException

          public SharedWorkspaceLinkNotFoundException​(java.lang.String sharedFolderId,
                                                      java.lang.String userId,
                                                      java.lang.String path,
                                                      java.lang.String message)

      Constructs a `SharedWorkspaceLinkNotFoundException`.
      Parameters:
        `sharedFolderId` - The unique identifier of the shared folder.
        `userId` - The user to delete access to the shared folder.
        `path` - The path of the shared folder.
        `message` - the detail message (which is saved for later retrieval by the `AbstractCheckedException.getMessage()` method).

  - ### Method Detail

    - #### getSharedFolderId

          public java.lang.String getSharedFolderId()

    - #### getUserId

          public java.lang.String getUserId()

    - #### getPath

          public java.lang.String getPath()